import request from "@/utils/request";

// 挂单列表
export function GetOTCPendingOrder(params) {
  return request({
    url: "/otc/otc_pending_order/",
    method: "get",
    params,
  });
}

// 添加银行卡
export function AddBankManager(params) {
  return request({
    url: "/custom/bank_manager/",
    method: "post",
    params,
  });
}

// 获取OTC商家支付方式
export function GetPayList(id) {
  return request({
    url: `/otc/otc/${id}/get_pay_list/`,
    method: "get",
  });
}

// 获取OTC下单
export function BuyCoin(data) {
  return request({
    url: `/otc/otc_order/buy_coin/`,
    method: "post",
    data,
  });
}

// 获取聊天id
export function GetChatId(params) {
  return request({
    url: `/otc/chat/get_chat_id/`,
    method: "get",
    params,
  });
}

// 获取商家消息列表
export function GetOTCChat() {
  return request({
    url: "/otc/chat/",
    method: "get",
  });
}

// 获取商家消息详情
export function GetOTCChatDetails(id) {
  return request({
    url: `/otc/chat/${id}/get_chat_details/?pageSize=999`,
    method: "get",
  });
}
